Loading...
Searching...
No Matches
Plotter Class Referenceabstract

Abstract interface for plotting flight data. More...

`#include <Plotter.h>`

Inheritance diagram for Plotter:
[legend]

## Public Member Functions

virtual | ~Plotter ()=default
virtual void | plot2D (const std::vector< double > &xData, const std::vector< double > &yData, const std::string &title, const std::string &xLabel, const std::string &yLabel)=0
| Plot a 2D line graph.
virtual void | addMarker (double xValue, const std::string &label)=0
| Add a vertical marker at a specific x-axis value.
virtual void | plotPosVelAcc (const std::vector< double > &time, const std::vector< double > &altitude, const std::vector< double > &velocity, const std::vector< double > &acceleration)=0
| Plot altitude, velocity, and acceleration together on a single canvas.

## Detailed Description

Abstract interface for plotting flight data.

## Constructor & Destructor Documentation

## ~Plotter()

virtual Plotter::~Plotter | ( |  | ) |

virtualdefault

## Member Function Documentation

## addMarker()

virtual void Plotter::addMarker | ( | double | xValue,
|  | const std::string & | label )

pure virtual

Add a vertical marker at a specific x-axis value.

Parameters

  xValue | The x position (e.g., time in seconds)
  label | Text label to display near the marker

Implemented in MatplotlibPlotter.

## plot2D()

virtual void Plotter::plot2D | ( | const std::vector< double > & | xData,
|  | const std::vector< double > & | yData,
|  | const std::string & | title,
|  | const std::string & | xLabel,
|  | const std::string & | yLabel )

pure virtual

Plot a 2D line graph.

Parameters

  xData | Vector of x-axis values (e.g., time)
  yData | Vector of y-axis values (e.g., altitude)
  title | Plot title
  xLabel | Label for x-axis
  yLabel | Label for y-axis

Implemented in MatplotlibPlotter.

## plotPosVelAcc()

virtual void Plotter::plotPosVelAcc | ( | const std::vector< double > & | time,
|  | const std::vector< double > & | altitude,
|  | const std::vector< double > & | velocity,
|  | const std::vector< double > & | acceleration )

pure virtual

Plot altitude, velocity, and acceleration together on a single canvas.

Parameters

  time | Time points
  altitude | Altitude (Z position)
  velocity | Vertical velocity
  acceleration | Vertical acceleration

Implemented in MatplotlibPlotter.

The documentation for this class was generated from the following file:

- include/plotting/Plotter.h